jQuery(document).ready(function($) {
    $(document).on('click', '.pagination-link', function(e) {
        e.preventDefault();
        const page = $(this).data('page');

        $.ajax({
            url: ajaxpagination.ajaxurl,
            type: 'POST',
            data: {
                action: 'load_orders_page',
                page: page,
                security: ajaxpagination.security // Ajout du nonce
            },
            success: function(response) {
                $('#orders-table-body').html(response);
            },
            error: function() {
                alert("Une erreur s'est produite lors de la requête.");
            }
        });
    });
});
